MediaWiki:Vector.css: Difference between revisions

Raven.Familiar (talk | contribs)
No edit summary
Raven.Familiar (talk | contribs)
Surely this works. I totally get this
(One intermediate revision by the same user not shown)
Line 328: Line 328:
display: block;
display: block;
padding: 6px 10px 5px 32px;
padding: 6px 10px 5px 32px;
font-size: 12px;
font-size: 13px;
font-weight: bold;
font-weight: bold;
text-align: center;
text-align: center;
Line 362: Line 362:


/* Hide section heading */
/* Hide section heading */
#p-logo + .mw-portlet .vector-menu-heading {
#p-logo2 + .mw-portlet .vector-menu-heading {
display: none !important;
display: none !important;
}
}
Line 379: Line 379:
     width: 17px;
     width: 17px;
     height: 13px;
     height: 13px;
     background-image: url(https://deadlock.wiki/images/4/4c/Discord-Symbol-White.svg);
     background-image: url(https://hna.wiki/File:Discord_Symbol_White.svg);
    filter: drop-shadow(0 1px 1px rgba(0, 0, 0, 0.1));
}
 
.cdx-button:enabled:hover,
.cdx-button.cdx-button--fake-button--enabled:hover {
background-color: #2b1e18;
border-color: #6e6e6e;
cursor: pointer;
}
 
#skin-client-prefs-skin-theme {
display: none
}
 
/* X NAVIGATION BUTTON */
/* Primary button appearance */
#n-X a {
display: block;
padding: 6px 10px 5px 32px;
font-size: 13px;
font-weight: bold;
text-align: center;
text-decoration: none;
background-color: #000000;
border-radius: 5px;
border-width: 1px;
border-style: solid;
border-color: #ffffff #868686 #878787 #ffffff;
box-shadow: 1px 1px 3px 0 rgba(0, 0, 0, 0.37);
transition: all 0.15s ease;
position: relative;
right: -1px;
margin-bottom: 0.5em;
color:white !important;
&:hover {
background-color:#28292f;
}
}
 
/* Reset default sidebar spacing */
#mw-panel.vector-legacy-sidebar > nav.mw-portlet#p-X,
#n-X,
#p-X .vector-menu-content,
#p-X .vector-menu-content-list {
margin: 0;
padding: 0;
border: none;
background: transparent;
box-shadow: none;
}
 
/* Hide section heading */
#p-logo2 + .mw-portlet .vector-menu-heading {
display: none !important;
}
 
/* Add text prefix */
#n-X a::before {
content: "Follow our ";
font-weight: normal;
}
 
/* X icon positioning */
#n-X a::after {
    content: '';
    position: absolute;
    left: 10px;
    width: 17px;
    height: 13px;
    background-image: url(https://hna.wiki/images/X_Symbol_White.png);
     filter: drop-shadow(0 1px 1px rgba(0, 0, 0, 0.1));
     filter: drop-shadow(0 1px 1px rgba(0, 0, 0, 0.1));
}
}